Bug 185792 - Spell checking support is broken.
Spell checking support is broken.
Product: Fedora
Classification: Fedora
Component: libsexy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-03-18 00:40 EST by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-19 12:40:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-03-18 00:40:54 EST
Description of problem:  libsexy's spell checking support isn't working.

Version-Release number of selected component (if applicable):

How reproducible: Always

Steps to Reproduce:
1. Use an app that uses libsexy spell-checking entry widget (xchat-gnome, for
2. Misspell a word in the widget
Actual results:  Nothing happens

Expected results: It underlines the misspelled word.

Additional info:  This was broken back in 0.1.5.  The enchant dependency was
made into a run-time dependency, instead of a compile dependency.  So, this
means that the BR on enchant-devel can be dropped, and just a add a requires on

In addition, sexy-spell-entry.c is going to need to be patched to look for the
correct share-object file in the initialize_enchant() call.
Comment 1 Brian Pepple 2006-03-18 00:53:45 EST
Actually, looking at it a little closer, you need to add a Requires on
enchant-devel and it should fix it without having to patch libsexy.
Comment 2 Ignacio Vazquez-Abrams 2006-03-19 12:10:43 EST
Upstream put out a new version which should solve this. Please give the new
package a try.
Comment 3 Brian Pepple 2006-03-19 12:40:14 EST
Yeah, I talked w/Christian, and this fixes the problem.  Closing bug.

Note You need to log in before you can comment on or make changes to this bug.